clang 8.0.0

Static Public Member Functions | List of all members
clang::ast_type_traits::ASTNodeKind::DenseMapInfo Struct Reference

Hooks for using ASTNodeKind as a key in a DenseMap. More...

`#include "clang/AST/ASTTypeTraits.h"`

Inheritance diagram for clang::ast_type_traits::ASTNodeKind::DenseMapInfo:
[legend]

## Static Public Member Functions
static ASTNodeKind | getEmptyKey ()
static ASTNodeKind | getTombstoneKey ()
static unsigned | getHashValue (const ASTNodeKind &Val)
static bool | isEqual (const ASTNodeKind &LHS, const ASTNodeKind &RHS)

## Detailed Description

Hooks for using ASTNodeKind as a key in a DenseMap.

Definition at line 97 of file ASTTypeTraits.h.

## Member Function Documentation

## ◆ getEmptyKey()

static ASTNodeKind clang::ast_type_traits::ASTNodeKind::DenseMapInfo::getEmptyKey | ( |  | ) |
| inline static

Definition at line 99 of file ASTTypeTraits.h.

## ◆ getHashValue()

static unsigned clang::ast_type_traits::ASTNodeKind::DenseMapInfo::getHashValue | ( | const ASTNodeKind & | Val | ) |
| inline static

Definition at line 105 of file ASTTypeTraits.h.

## ◆ getTombstoneKey()

static ASTNodeKind clang::ast_type_traits::ASTNodeKind::DenseMapInfo::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 102 of file ASTTypeTraits.h.

## ◆ isEqual()

static bool clang::ast_type_traits::ASTNodeKind::DenseMapInfo::isEqual | ( | const ASTNodeKind & | LHS,
|  | const ASTNodeKind & | RHS
| ) |  |
| inline static

Definition at line 106 of file ASTTypeTraits.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/ASTTypeTraits.h